Bug 802781 (CVE-2012-0255) - CVE-2012-0255 quagga (bgpd): Assertion failure by processing malformed AS4 capability in BGP OPEN message
Summary: CVE-2012-0255 quagga (bgpd): Assertion failure by processing malformed AS4 ca...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0255
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 808357 845528 845529
Blocks: 738408
TreeView+ depends on / blocked
 
Reported: 2012-03-13 13:48 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:51 UTC (History)
2 users (show)

Fixed In Version: quagga 0.99.20.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-13 12:09:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1259 normal SHIPPED_LIVE Moderate: quagga security update 2012-09-13 00:00:43 UTC

Description Jan Lieskovsky 2012-03-13 13:48:01 UTC
An assertion failure was found in the way Quagga's bgpd daemon processed certain BGP OPEN messages. A configured BGP peer could send a BGP OPEN message with specially-crafted value of AS4 capability field, which would cause the master BGP daemon (bgpd) to abort (denial of service).

Upstream patch:
[1] http://git.savannah.gnu.org/cgit/quagga.git/commit/?id=5861739f8c38bc36ea9955e5cb2be2bf2f482d70

Comment 7 Jan Lieskovsky 2012-03-15 13:45:44 UTC
This issue did NOT affect the version of the quagga package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the quagga package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the quagga package, as shipped with Fedora release of 15 and 16.

Comment 8 Jan Lieskovsky 2012-03-16 12:57:01 UTC
The CVE identifier of CVE-2012-0255 has been assigned to this issue.

Comment 9 Jan Lieskovsky 2012-03-30 08:57:06 UTC
Public via:
http://www.kb.cert.org/vuls/id/551715

Comment 10 Jan Lieskovsky 2012-03-30 08:59:00 UTC
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 808357]

Comment 11 Fedora Update System 2012-04-20 03:07:17 UTC
quagga-0.99.20.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-04-22 03:43:39 UTC
quagga-0.99.20.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-04-22 03:48:37 UTC
quagga-0.99.20.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2012-09-12 20:05:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1259 https://rhn.redhat.com/errata/RHSA-2012-1259.html

Comment 16 Murray McAllister 2012-09-13 02:55:37 UTC
Acknowledgements:

Red Hat would like to thank the CERT/CC for reporting this issue. The CERT/CC acknowledges Martin Winter at OpenSourceRouting.org as the original reporter.


Note You need to log in before you can comment on or make changes to this bug.